Bug 33433 - Нет поддержки протокола concat в libav
: Нет поддержки протокола concat в libav
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/avconv)
: unstable
: all Linux
: P3 major
Assigned To:
:
: https://forum.altlinux.org/index.php?...
:
:
:
  Show dependency tree
 
Reported: 2017-04-29 11:04 by
Modified: 2018-08-12 23:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-04-29 11:04:13
Проверяется командой avconv -protocols. Протокола действительно нет.

Это создает проблемы при склеивании видео в avconv:

$ avconv -i "concat:0.ts|1.ts" -c copy all.ts
avconv version 11.6-alt1, Copyright (c) 2000-2014 the Libav developers
  built on Mar 11 2016 17:46:03 with gcc 5.3.1 (GCC) 20151207 (ALT Linux
5.3.1-alt3)
concat:0.ts|1.ts: Protocol not found

Установленные пакеты:
$ rpm -qa | egrep "libav|avconv|avplay"
libavfilter-0.8.11-alt1
libavogadro1-1.1.1-alt3
libavutil53-10.5-alt2
libavutil51-0.8.11-alt1
libavc1394-0.5.4-alt1.qa1
libavcodec54-9.13-alt1
libavfilter5-11.6-alt1
libavcodec56-11.6-alt1
avplay-11.6-alt1
avconv-11.6-alt1
libavutil54-11.6-alt1
libavformat54-9.13-alt1
gst-libav-1.10.4-alt0.M80P.1
libavcodec53-0.8.11-alt1
libavformat56-11.6-alt1
libavdevice-9.13-alt1
libavutil52-9.13-alt1
libavresample2-11.6-alt1
libavformat53-0.8.11-alt1
libavdevice55-11.6-alt1

На https://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v11.6
concat: disable by default

Нужно пересобирать пакет с включенным протоколом.
------- Comment #1 From 2018-06-22 13:43:56 -------
этого пакета больше нет.
------- Comment #2 From 2018-06-22 14:17:43 -------
(В ответ на комментарий №1)
> этого пакета больше нет.

А что на замену? https://packages.altlinux.org сейчас не работает на поиск, не
проверишь.
------- Comment #3 From 2018-06-22 14:34:40 -------
ffmpeg.
------- Comment #4 From 2018-06-22 14:37:41 -------
И concat в нём включен
------- Comment #5 From 2018-08-12 23:46:48 -------
(В ответ на комментарий №3)
> ffmpeg.

Почему его нет в репозитории? Для P8 он заявлен
https://packages.altlinux.org/ru/Sisyphus/srpms/ffmpeg